# $Revision: 1.14.2.1 $, $Date: 2005/04/21 08:08:34 $
Summary:	A package for maintenance of constant databases
Summary(pl):	Staa baza danych
Name:		tinycdb
Version:	0.74
Release:	3
License:	Public Domain
Group:		Applications/Databases
URL:		http://www.corpit.ru/mjt/tinycdb.html
Source0:	ftp://ftp.corpit.ru/pub/tinycdb/%{name}-%{version}.tar.gz
# Source0-md5:	73a29c3ec6c1e5a07dc23ebd4b870bc9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tinycdb is a small, fast and reliable utility set and subroutine
library for creating and reading constant databases. The database
structure is tuned for fast reading:
- Successful lookups take normally just two disk accesses.
- Unsuccessful lookups take only one disk access.
- Small disk space and memory size requirements; a database uses 2048
  bytes for the header and 24 bytes per record.
- Maximum database size is 4GB; individual record size is not
  otherwise limited.
- Portable file format.
- Fast creation of new databases.
- No locking, updates are atomical.

This package contains the utility.

%description -l pl
tinycdb jest szybkim, niezawodnym, maym pakietem do tworzenia i
czytania staych baz danych. Struktura bazy zostaa zoptymalizowana do
szybkiego odczytu:
- Udane odwoania normalnie potrzebuj tylko dwch odwoa do dysku.
- Nieudane odwoania potrzebuj tylko jednego odwoania do dysku.
- Mae wymagania co do miejsca do dysku i pamici; baza danych uywa
  2048 bajtw na nagwek i 24 bajtw na rekord.
- Maksymalny rozmiar bazy to 4GB; rozmiar pojedynczego rekordu nie ma
  innych ogranicze.
- Przenony format pliku.
- Szybkie tworzenie nowych baz.
- Nie ma blokowania, zmiany s atomowe.

Ten pakiet zawiera narzdzie.

%package devel
Summary:	Development libraries and header files for tinycdb
Summary(de):	Entwicklungs-Libraries und Header-Dateien fr tinycdb
Summary(fr):	Bibliothques de dveloppement et en-ttes pour tinycdb
Summary(pl):	Biblioteki i pliki nagwkowe dla tinycdb
Summary(tr):	tinycdb iin balk dosyalar ve gelitirme kitaplklar
Group:		Development/Libraries

%description devel
These are the development libraries and header files for tinycdb.
These are required if you plan to do development using the tinycdb
database.

%description devel -l de
Dies sind die Entwicklungs-Libraries und Header-Dateien fr tinycdbr.
Sie sind darauf angewiesen, wenn Sie vorhaben, die tinycdb fr
Entwicklungsarbeiten zu benutzen.

%description devel -l fr
Ce sont les librairies de dveloppement et les fichiers d'en-tte pour
tinycdb. Ceci est ncessaire si vous dsirez dvelopper en utilisant
la base de donnes tinycdb.

%description devel -l pl
W pakiecie tym znajduj si pliki nagwkowe i biblioteki dla systemu
bazy danych tinycdb.

%description devel -l tr
GNU veri taban sistemi tinycdb ile program gelitirmek iin gereken
balk dosyalar ve kitaplklar.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir},%{_mandir}/man{1,3,5}}

install cdb	$RPM_BUILD_ROOT%{_bindir}
install cdb.h	$RPM_BUILD_ROOT%{_includedir}
install lib*.a	$RPM_BUILD_ROOT%{_libdir}
install cdb.1	$RPM_BUILD_ROOT%{_mandir}/man1
install cdb.3	$RPM_BUILD_ROOT%{_mandir}/man3
install cdb.5	$RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man[15]/*

%files devel
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{_mandir}/man3/*
%{_includedir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tinycdb.spec,v $
Revision 1.14.2.1  2005/04/21 08:08:34  hawk
- release 3 for Ra

Revision 1.14  2004/10/31 15:32:14  paladine
- spaces->tabs

Revision 1.13  2004/03/11 00:28:05  undefine
- defattr on ChangeLog too, release 2

Revision 1.12  2003/11/14 16:56:31  deejay1
- up to 0.74

Revision 1.11  2003/08/18 08:09:36  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/08/12 23:54:16  ankry
- cosmetics

Revision 1.9  2003/05/28 14:31:21  malekith
- use %{version}, not %version

Revision 1.8  2003/05/28 13:02:16  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:27:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/02 17:34:21  ppv
- added URL:

Revision 1.5  2002/12/18 10:42:30  areq
- 0.73, STBR

Revision 1.4  2002/12/03 21:35:29  ankry
- cleaning

Revision 1.3  2002/05/20 11:35:34  qboosh
- longer pl description, removed false information from en one; release 2

Revision 1.2  2002/05/10 23:25:33  kloczek
- cosmetics.

Revision 1.1  2002/05/10 22:36:52  areq
- init PLD spec, STBR
